checkRequire("Lua_FightResultBaseWindow");
Lua_ClimbTowerFightFailWindow = class("Lua_ClimbTowerFightFailWindow", Lua_FightResultBaseWindow);
function Lua_ClimbTowerFightFailWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ClimbTowerFightFailWindow";
	self.skinName = "ClimbTowerFightFailWindow_skin";
	self.winBgPath = "/images/fight/xui_zd_bg_2.jpg";
	self:addPreLoadRes(self.winBgPath, Lua_LoadFileType.IMG);
	self:addPreLoadRes("/effects/uiEffects/ui_zdjs_sb_01", Lua_LoadFileType.UNITY3D);
	self.openSound = "fight_lose_01";

	self.bIsWin = false;
	self.bIsShowCountTime = true;
	self.bIsShowHurtBtn = true;
end

function Lua_ClimbTowerFightFailWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.btnLeft:addClickFuntion(self, self.onReturn);
	self.btnRight:addClickFuntion(self, self.hide);
end

function Lua_ClimbTowerFightFailWindow:dispose()
	self.data = nil;
	self:superCall("dispose");
end

function Lua_ClimbTowerFightFailWindow:showWin(param)
	self:superCall("showWin", param);

	self.data = DataCenter.climbTowerUtil:getTowerConfig(param.stage_id);
	local vo = DataCenter.climbTowerData:getTowerVoById(self.data.index);
	self.nameText.text = LanUtil.StringProfile(vo.name, Lua_SpaceDefine.SPACE_4, self.data.name);

	self:updateFuncIcons();
end

function Lua_ClimbTowerFightFailWindow:onReturn(go)
	-- local vo = DataCenter.climbTowerData:getTowerVoById(self.data.index);
	-- WindowMananger.getInstance():closeWinsExceptSkip(self.windowName, vo.windowName, "Lua_ClimbTowerEntranceWindow");
	-- Lua_WindowUtil.openWin(vo.windowName, Lua_WinParam.ACTION_OPEN, self.data.index);
	-- self:hide();
	if self.data.index == 1 then
		DataCenter.funcPathUtil:gotoFunction(1076, true, false, "Lua_ClimbTowerEntranceWindow")
	elseif self.data.index == 2 then
		DataCenter.funcPathUtil:gotoFunction(1077, true, false, "Lua_ClimbTowerEntranceWindow")
	elseif self.data.index == 3 then
		DataCenter.funcPathUtil:gotoFunction(1078, true, false, "Lua_ClimbTowerEntranceWindow")
	elseif self.data.index == 4 then
		DataCenter.funcPathUtil:gotoFunction(1079, true, false, "Lua_ClimbTowerEntranceWindow")
	else
		DataCenter.funcPathUtil:gotoFunction(1030, true, false, "Lua_ClimbTowerEntranceWindow")
	end
end