-- 魔神试炼失败面板
checkRequire("Lua_FightResultBaseWindow");
Lua_MonsterTrialFightFailResultWindow = class("Lua_MonsterTrialFightFailResultWindow", Lua_FightResultBaseWindow);
function Lua_MonsterTrialFightFailResultWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MonsterTrialFightFailResultWindow";
	self.skinName = "MonsterTrialFightResultWindow_skin";
    self.winBgPath = "/images/fight/xui_zd_bg_2.jpg";
    self:addPreLoadRes(self.winBgPath, Lua_LoadFileType.IMG);
    self:addPreLoadRes("/effects/uiEffects/ui_zdjs_sb_01", Lua_LoadFileType.UNITY3D);
    self.openSound = "fight_lose_01";

	self.bIsWin = false;
	self.bIsShowCountTime = true;
	self.bIsShowHurtBtn = true;
end

function Lua_MonsterTrialFightFailResultWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.templateId = Lua_FightDefine.TEMPLATE_ID_MONSTERTRIAL;
	self.winObj:SetActive(false);
	self.sureBtn:setStyle(4);
	self.sureBtn:addClickFuntion(self, self.hide);
end

function Lua_MonsterTrialFightFailResultWindow:dispose()
	self:superCall("dispose");
end

function Lua_MonsterTrialFightFailResultWindow:showWin(param)
	self:superCall("showWin", param);
	self:updateFuncIcons();
end